Bug 1277147 - CVE-2015-8035 libxml2: DoS when parsing specially crafted XML document if XZ support is enabled [fedora-all]
CVE-2015-8035 libxml2: DoS when parsing specially crafted XML document if XZ ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libxml2 (Show other bugs)
22
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-8035
  Show dependency treegraph
 
Reported: 2015-11-02 08:45 EST by Adam Mariš
Modified: 2015-11-03 03:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-02 23:51:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-11-02 08:45:41 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Adam Mariš 2015-11-02 08:45:47 EST
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1277146,1277147

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link(s) instead:

https://bodhi.fedoraproject.org/updates/new?type_=security&bugs=1277146,1277147
Comment 2 Daniel Veillard 2015-11-02 23:51:04 EST
I don't think Fedora 22 is affected as 2.9.2 which ship it it has xz
support disabled due to a bug in that release

thinkpad2:~/XML -> /usr/bin/xmllint test.xz
test.xz:1: parser error : Start tag expected, '<' not found


^
thinkpad2:~/XML -> rpm -qif /usr/bin/xmllint
Name        : libxml2
Version     : 2.9.2
Release     : 4.fc22
Architecture: x86_64
Install Date: Sat 31 Oct 2015 03:04:04 AM HKT
Group       : Development/Libraries
Size        : 1727890
License     : MIT
Signature   : RSA/SHA256, Fri 11 Sep 2015 03:19:43 AM HKT, Key ID 11adc0948e1431d5
Source RPM  : libxml2-2.9.2-4.fc22.src.rpm
Build Date  : Thu 10 Sep 2015 08:23:04 PM HKT
Build Host  : buildvm-17.phx2.fedoraproject.org

I would assume versions in mingw and EPEL are also 2.9.2 so 1277149 and 1277150
can be closed in a similar way

Daniel

Note You need to log in before you can comment on or make changes to this bug.